﻿using KioskDemo.Custom_Controls;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace KioskDemo
{
    public partial class MapPage : Form
    {
        private List<MapEntity> mapItems = new List<MapEntity>();
        public MapPage()
        {
            InitializeComponent();
            //Add MapEntity objects to the list of map items
            mapItems.Add(new MapEntity("BOOTS", "boots.jpg", "Chemist",56, 36));
            mapItems.Add(new MapEntity("HMV","hmv.png", "Music", 60, 35));
            //Iterate through the list and add each item to panel1 for display. This renders the controls
            foreach(MapEntity m in mapItems)
            {
                panel1.Controls.Add(m);
            }   
        }

        //Event fired because the size of the window has been changed. Everything else now needs to resize to fit
        private void MapPage_SizeChanged(object sender, EventArgs e)
        {
            //Set size of map to size of window less 40 pixels w/h
            panel1.Size = new Size(Width - 40, Height - 60);
            panel1.Location = new Point(20, 40);

            //Now replace map items
            foreach (MapEntity m in mapItems)
            {
                //Map Item can now re-format itself to fit correctly in the new size panel
                m.LocateItem();
            }
        }

        //Not used
        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            //X clicked so close the window
            Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //Create an on screen keyboard to touch-input
            OnscreenKeyboard o = new OnscreenKeyboard();
            o.ShowDialog();
            string search = o.Input;
            //If search string isn't empty....
            if (search != "")
            {
                foreach (MapEntity m in mapItems)
                {
                    //Does either the store name or type of store contain the text we searched for?
                    if (m.StoreType.ToUpper().Contains(search) || m.StoreName.ToUpper().Contains(search))
                    {
                        //Yes
                        m.BackColor = Color.Red;
                    }
                    else
                    {
                        //No
                        m.BackColor = Color.White;
                    }
                }
            }
        }
    }
}
