﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Security.Cryptography;
using System.Text;
using System.Windows.Forms;

namespace KioskDemo
{
    public partial class OnscreenKeyboard : Form
    {
        public string Input = "";
        private const int keySize = 80;
        public OnscreenKeyboard()
        {
            InitializeComponent();
            string[] keys = new string[] { "1234567890", "QWERTYUIOP", "ASDFGHJKL", "ZXCVBNM" };

            //Find the length of the longest row of keys
            int longestRow = 0;
            for (int i=0; i<keys.Length; i++)
            {
                if (keys[i].Length > longestRow) longestRow = keys[i].Length;
            }


            for (int row = 0; row < keys.Length; row++)
            {
                int offset = 0;
                if (keys[row].Length< longestRow)
                {
                    offset = (keySize * (longestRow - keys[row].Length)) / 2;
                }
                for (int col = 0; col<keys[row].Length; col++)
                {
                    Button b = new Button();
                    b.Text = keys[row][col].ToString();
                    b.Location = new Point(offset + col * keySize, row * keySize);
                    b.Size = new Size(keySize - 8, keySize - 8);
                    b.Click += B_Click;
                    Controls.Add(b);
                }
            }
        }

        private void B_Click(object sender, EventArgs e)
        {
            //Cast the sender object to Button type and retrieve its text property
            string t = ((Button)sender).Text;
            textBox1.Text = textBox1.Text + t;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Input = textBox1.Text;
            //So we can access it 
            Close();
        }
    }
}
